## python-pytest-lazy-fixture 0.5.1

=== requirements.txt ===
-e .
tox
flake8

=== debian/changelog ===
python-pytest-lazy-fixture (0.5.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 11:56:46 +0100

python-pytest-lazy-fixture (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #920923)

 -- Joel Cross <joel@kazbak.co.uk>  Thu, 31 Jan 2019 15:38:05 +0000

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pytest-lazy-fixture

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/tvorog/pytest-lazy-fixture/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-pytest-lazy-fixture 0.6.3

=== debian/changelog ===
python-pytest-lazy-fixture (0.6.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 00:52:18 +0100

python-pytest-lazy-fixture (0.6.3-1) unstable; urgency=medium

  * Team Upload.

  [ Emmanuel Arias ]
  * Update standards version to 4.5.1.
  * d/watch: remove template lines from watch.
  * d/tests: configure import-name to the correct module name.
  * New upstream version 0.6.3.
  * d/salsa-ci.yml: enable salsa-ci.
  * Update d/control file. Change the redundant lines on
    Build-Depends filed: debhelper (>12), debhelper-compat(=12),
    for debhelper-compat (=12). This was a recomendation of Scott
    Kitterman.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * Move salsa-ci.yml to debian directory.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-pytest to Build-Depends, required by tests.
  * Set Rules-Requires-Root: no.
  * Run upstream tests during build.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Fri, 22 Oct 2021 19:35:58 +0000

=== debian/control ===
Source: python-pytest-lazy-fixture
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joel Cross <joel@kazbak.co.uk>,
Build-Depends:
 debhelper-compat (=13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://github.com/tvorog/pytest-lazy-fixture
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-lazy-fixture
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-lazy-fixture.git
Rules-Requires-Root: no

Package: python3-pytest-lazy-fixture
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Use your fixtures in @pytest.mark.parametrize (Python 3)
 An extension to Pytest that allows lazy-loading fixtures. This, combined with
 the pytest.mark.parametrize function, allows the same fixture to be used
 multiple times per test.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=pytest-lazy-fixture
+export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}
+export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests
+export PYTEST_PLUGINS=pytest_lazyfixture
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pytest_lazy_fixture-$1.tar.gz%" \
   https://github.com/tvorog/pytest-lazy-fixture/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
